QXmppDataForm::Media Class Reference

The QXmppDataForm::Media class represents a media field as defined by XEP-0221: Data Forms Media Element. More...

`#include <QXmppDataForm.h>`

## Public Member Functions

| Media ()
| Constructs an empty QXmppDataForm::Media.
| Media (const QXmppDataForm::Media &other)
| Constructs a copy of other.
| ~Media ()
| Destroys the media.
QXmppDataForm::Media & | operator= (const QXmppDataForm::Media &other)
| Assigns other to this media.
int | height () const
| Returns media's height.
void | setHeight (int height)
| Sets media's height.
int | width () const
| Returns media's width.
void | setWidth (int width)
| Sets media's width.
QList< QPair< QString, QString > > | uris () const
| Returns media's uris.
void | setUris (const QList< QPair< QString, QString > > &uris)
| Sets media's uris.
bool | isNull () const
| Returns true if no media tag present.

## Detailed Description

The QXmppDataForm::Media class represents a media field as defined by XEP-0221: Data Forms Media Element.

The documentation for this class was generated from the following files:

- QXmppDataForm.h
- QXmppDataForm.cpp